Move OpenSSL-based PKCS#11 interface job to Debian "bullseye"

Fedora 36 uses OpenSSL 3.0.2 by default, but the OpenSSL engine API
which we use for PKCS#11 is deprecated in OpenSSL 3.0.0. For the
keyfromlabel system test to work operating system with OpenSSL 1.1 needs
to be used.
68 jobs for !6322 with 3348-move-pkcs11-interface-test-to-debian in 40 minutes and 55 seconds (queued for 4 seconds)
latest detached